

// kick start the window resize function
(function($) {
	  $(window).resize(function(){frameSize()});     
})(jQuery);

function bmsSelectImage(type, section, site, loc, id) {

	var totalHeight = jQuery('#'+id).css('height').replace('px','');
	
	if (jQuery('#bmsHeightAdjust').length) {
		if (type.toLowerCase()=="side" ) {
			
			if (document.getElementById("bmsHeightAdjust").offsetHeight < totalHeight)
				jQuery('#bmsHeightAdjust').css("height",  jQuery('#'+id).css('height'));
			
		}
	}
	
	jQuery.ajax({ 	type: 'POST',
					url: loc+"/webcomFunctionality/bmi-ajax.php",
					data: { func: "select_ad", type: type, section: section, site: site, totalHeight: totalHeight},
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							if (data)
								jQuery('#'+id).html(data);
							
							if (type.toLowerCase() == 'top') {
								if (jQuery('#bmsHeadLeader').length) {
									
									jQuery('#'+id).css('height','90px');
									
								}
							}
						}
					},
					error: function() {document.write('ERROR: AJAX - bmsSelectImage');}});
	
	
}

function bmiAddCampaign() {
	
	var customer = jQuery('#bms_customer').val();
	
	//alert(customer);
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "add_campaign", customer: customer },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							openBMI(jQuery.trim(data));
						}
					},
					error: function() {alert('ERROR: AJAX - bmiAddCampaign');}});

}


function select_customer( customer ) {
	
	if (customer != 0 ) {
	
		jQuery.ajax({ 	type: 'POST',
						url: "../wp-content/plugins/webcomFunctionality/getCampaigns.php",
						data: { customer: customer },
						success: function(data){
							if (data.substring(0,5).toLowerCase()=="alert") {
								eval(data);
							} else {
								jQuery("#the-list").html(data);
								jQuery('#bmi-new-campaign').prop('disabled', false);
								jQuery('#bmi-delete-customer').prop('disabled', false);
							}
						},
						error: function() {alert('ERROR: AJAX - select_customer');}});
	} else {
		jQuery("#the-list").html("");
		jQuery('#bmi-new-campaign').prop('disabled', true);
		jQuery('#bmi-delete-customer').prop('disabled', true);
	}
	
}

function add_customer( name ) {
	
	if (name) {
	
		jQuery.ajax({ 	type: 'POST',
						url: "../wp-content/plugins/webcomFunctionality/newCustomer.php",
						data: { name: name },
						success: function(data){
							if (data.substring(0,5).toLowerCase()=="alert") {
								eval(data);
							} else {
								jQuery("#bms_customer").html(data);
								select_customer(jQuery("#bms_customer").val());
							}
						},
						error: function() {alert('ERROR: AJAX - add_customer');}});
	}
	
}

function ssmSelectSite(site) {

	var siteID = site.replace('bmssite-','');
	
	jQuery(".ssmSite").removeClass("ssmSiteSel");
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/ssm.php",
					data: { func: "selectSite", site: siteID },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
						
							jQuery(".ssmSect").removeClass("ssmSectSel");
							
							if (data!="null") {
								var obj = jQuery.parseJSON(data);
								
								jQuery.each(obj, function() {
									jQuery('#bmssect-' + this).addClass("ssmSectSel");
								});
							}
						}
					},
					error: function() {alert('ERROR: AJAX - add_customer');}});
	
	jQuery('#'+site).addClass("ssmSiteSel");
}


function ssmSelectSect(sect) {

	/* only if a site is selected */
	if (jQuery('.ssmSiteSel').attr('id')) {
	
		var siteID = jQuery('.ssmSiteSel').attr('id').replace('bmssite-','');
		var sectID = sect.replace('bmssect-','');
		var direction = (jQuery('#'+sect).hasClass('ssmSectSel')) ? 'remove' : 'add';
	
	
	
		jQuery.ajax({ 	type: 'POST',
						url: "../wp-content/plugins/webcomFunctionality/ssm.php",
						data: { func: "selectSect", sect: sectID, site: siteID, direction: direction },
						success: function(data){
							if (data.substring(0,5).toLowerCase()=="alert") {
								eval(data);
							} else {
								
								if ( direction === 'add' )
									jQuery('#'+sect).addClass("ssmSectSel");
								else
									jQuery('#'+sect).removeClass("ssmSectSel");
							}
						},
						error: function() {alert('ERROR: AJAX - add_customer');}});
	}
	

}

function openBMI(campaign) {
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "open", campaign: campaign },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							
							if (data!="null") {
							
								var campData = jQuery.parseJSON(data);
								
								jQuery("#bmi-ad-name input").attr("value",campData.name);
								jQuery("#bmi-ad-desc input").attr("value",campData.description);
								jQuery("#bms_ad_type").val(campData.ad_type);
								jQuery("#bmi-customer").html(campData.customer_name);
								
								if (campData.continuous == 1) {
									jQuery("#bmi-cont").attr('checked',true);
								} else {
									jQuery("#bmi-cont").attr('checked',false);
								}
								
								if (campData.on == 1) {
									jQuery('#bmi-on-switch :input').attr('checked',true);
									jQuery('#bmi-on-switch-label').html("Turn Off");
								} else {
									jQuery('#bmi-on-switch :input').attr('checked',false);
									jQuery('#bmi-on-switch-label').html("Turn On");
								}
								
							}
						}
					},
					error: function() {alert('ERROR: AJAX - openBMI open');}});
					
	
	// start with no sites checked
	jQuery('input.bmi-site-check').attr('checked',false);
	// none are selected
	jQuery(".bmiSite").removeClass("ssmSiteSel");
	// so also clear Sections list
	jQuery("#bmi-section-list").html("");
								
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "open_sites", campaign: campaign },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							
							if (data!="null") {
							
								campData = jQuery.parseJSON(data);
								
								// check the associated ones
								jQuery.each(campData, function() {
									jQuery('input.bmi-site-check[value="'+this+'"]').attr('checked','checked');
								});
								
								// set the Check All sites box based on if all items are checked.
								jQuery("#bmi-check-all-sites").attr('checked',
									( jQuery(":checked.bmi-site-check").size() == jQuery(".bmi-site-check").size( )) );
							}
						}
					},
					error: function() {alert('ERROR: AJAX - openBMI open_sites');}});
	
	bmiRefreshSchedule(campaign);
					
	bmiGetAds(campaign);
					
	jQuery('#bmi-campaign-id').val(campaign);
	jQuery('#BMS_overlay').show();
	jQuery('#bmi-main').show();
	frameSize();
	//jQuery(':checkbox.on_off').iphoneStyle();
	/*
		var onchange_checkbox = ($('.onchange :checkbox')).iphoneStyle({
        onChange: function(elem, value) { 
          $('span#status').html(value.toString());
        }
      });
      
      setInterval(function() {
        onchange_checkbox.prop('checked', !onchange_checkbox.is(':checked')).iphoneStyle("refresh");
        return
      }, 2500);
	
	*/
}

function bmiRefreshSchedule(campaign) {

	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "open_schedule", campaign: campaign },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							
							// loads the table
							eval(data);
							
							// connect the date picker to each date
							jQuery('#bmi_date_list tr').each(function(index) {
							
								if ( jQuery(this).attr('id') == "date_new" ) {
									// empty fields are the same
									jQuery("#datepicker_snew").datepicker();
									jQuery("#datepicker_enew").datepicker();
								} else {
									// field is datepicker_(s and e) followed by the id hiden at the end of the elements id.
									jQuery("#datepicker_s" + jQuery(this).attr('id').substring(5)).datepicker();
									jQuery("#datepicker_e" + jQuery(this).attr('id').substring(5)).datepicker();
									
									//alert( index + ': ' + jQuery(this).attr('id') );
								}
								
								bmiDisAbleSched();
								
							});
						}
					},
					error: function() {alert('ERROR: AJAX - openBMI open_schedule');}});

}


function bmiGetAds(campaign,scroll) {

	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "open_ads", campaign: campaign },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							jQuery("#bmi-ad-container").html(data);
							
							if (scroll == 1) {
								var objDiv = document.getElementById("bmi-ad-container");
								objDiv.scrollTop = objDiv.scrollHeight;
							}
							
						}
					},
					error: function() {alert('ERROR: AJAX - openBMI open_ads');}});

}

function bmiCheckSite(campaign,site,checked) {

	var siteID = site.replace('bmi-site-','');
	//alert(siteID);
	//alert(checked);
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "check_site", campaign: campaign, site: siteID, checked: checked },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							jQuery('input.bmi-site-check[value="'+siteID+'"]').attr('checked',!checked);
						} else {
							
							//if (!checked) { // if we unchecked we need to refresh the sections
								bmiSelectSite(campaign,site,checked);
							//}
							
						}
					},
					error: function() {alert('ERROR: AJAX - bmiSelectSite');}});
	
}



function bmiSelectSite(something,site,checked) {

	var campaign = jQuery('#bmi-campaign-id').val();

	var siteID = site.replace('bmi-site-','');
	
	jQuery(".bmiSite").removeClass("ssmSiteSel");
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "select_site", campaign: campaign, site: siteID, checked: checked },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							
							// if not check, check it
							//if (!checked)
							//	jQuery('input.bmi-site-check[value="'+siteID+'"]').attr('checked',true);
							
							eval(data);
							
							// set the All Check box for section based on if all items are checked.
							jQuery("#bmi-check-all-sections").attr('checked',
								( jQuery(":checked.bmi-section-check").size() == jQuery(".bmi-section-check").size( )) );
							
							jQuery('#'+site).addClass("ssmSiteSel");
						}
					},
					error: function() {alert('ERROR: AJAX - bmiSelectSite');}});
	
}

function bmiCheckSection(campaign,site,section) {
	bmiDoSection(campaign,site,section,jQuery('input.bmi-section-check[value="'+section+'"]').is(':checked'));
}

function bmiSelectSection(campaign,site,section) {
	jQuery('input.bmi-section-check[value="'+section+'"]').attr('checked',!jQuery('input.bmi-section-check[value="'+section+'"]').is(':checked'));
	bmiDoSection(campaign,site,section,jQuery('input.bmi-section-check[value="'+section+'"]').is(':checked'));
}

function bmiDoSection(campaign,site,section,checked) {
	
	/* checked is the *comming* state of the checkbox */

	/* If the associated site is not selected and we are selecting a section, the site need to get checked and added */
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "check_section", campaign: campaign, site: site, section: section, checked: checked },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							jQuery('input.bmi-section-check[value="'+section+'"]').attr('checked',!checked);		//undo check
						} else {
							
							// set site checked if it wasn't
							if (data)
								jQuery('input.bmi-site-check[value="'+site+'"]').attr('checked',true);
							//eval(data);
							
							// set the Check All sections box based on if all items are checked.
							jQuery("#bmi-check-all-sections").attr('checked',
								( jQuery(":checked.bmi-section-check").size() == jQuery(".bmi-section-check").size( )) );
							
						}
					},
					error: function() {alert('ERROR: AJAX - bmiDoSection');}});
	
}

function bmiSelectAllSites(checked) {
	
	var campaign = jQuery('#bmi-campaign-id').val();
	
	if (!checked) {
		if(!confirm('Are you sure you want to remove all sites from this campaign? This will also delete all Sections.')) {
			jQuery('#bmi-check-all-sites').attr('checked',!checked);
			return;
		} 
	}
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "check_all_sites", campaign: campaign, checked: checked },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							jQuery('#bmi-check-all-sites').attr('checked',!checked);		//undo check
						} else {
							
							jQuery('input.bmi-site-check').attr('checked',checked);
							
						}
					},
					error: function() {alert('ERROR: AJAX - bmiSelectAllSites');}});
	
}

function bmiSelectAllSections(checked) {
	
	var site = jQuery('.ssmSiteSel').attr('id').replace('bmi-site-','');
	var campaign = jQuery('#bmi-campaign-id').val();
	
	if (site && campaign) {
	
		jQuery.ajax({ 	type: 'POST',
						url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
						data: { func: "check_all_sections", campaign: campaign, site: site, checked: checked },
						success: function(data){
							if (data.substring(0,5).toLowerCase()=="alert") {
								eval(data);
								jQuery('#bmi-check-all-sections').attr('checked',!checked);		//undo check
							} else {
								
								jQuery('input.bmi-section-check').attr('checked',checked);
								
							}
						},
						error: function() {alert('ERROR: AJAX - bmiSelectAllSections');}});
	}
}





function validateUpload() {

	if ( jQuery('#bmi-file').val() == "" ) {
		alert("No file selected.");
		return false;
	}

}

function bmiOpenUploader(id) {

	jQuery('#bmi-form-ad-id').val(id);
	jQuery('#bmi_upload').show();
}

function bmiUploadFile() {
	
	// shows iframe with upload script output.
	//jQuery("#myHiddenUpload").show();
	
	if (!jQuery('#bmi-main').is(":visible"))
		return;
	
	if ( jQuery('#myHiddenUpload').contents().find('#bmi-upload-error').html() != "") {
		alert(jQuery('#myHiddenUpload').contents().find('#bmi-upload-error').html());
		return;
	}
	
	var url = jQuery("#bmi-upload-url").val() + "banners/" + jQuery('#myHiddenUpload').contents().find('#bmi-upload-filename').html();
	var path = jQuery("#bmi-upload-url").val() + "banners/" + jQuery('#myHiddenUpload').contents().find('#bmi-upload-fullpath').html();
	var campaign = jQuery('#bmi-campaign-id').val();
	var id = jQuery('#bmi-form-ad-id').val();
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "associate_file", campaign: campaign, id: id, url: url, path: path },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							
							jQuery('#bmi-file').val('');
							jQuery("#bmi_upload").hide();
							jQuery("#bmi-ad-"+id+" div.bmi-thumb").html('<img src="'+url+'" alt="banner-'+id+'" height="75" width="75">');
							
						}
					},
					error: function() {alert('ERROR: AJAX - bmiUploadFile');}});
}

function bmiDeleteAd(id) {
	
	if(!confirm('Are you sure you want to delete this ad?')) {
			return;
	}
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "delete_ad", id: id },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							bmiGetAds(jQuery('#bmi-campaign-id').val());
						}
					},
					error: function() {alert('ERROR: AJAX - bmiDeleteAd');}});
	
	
}

function bmiAddAd() {
	
	var campaign = jQuery('#bmi-campaign-id').val();
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "add_ad", campaign: campaign},
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							bmiGetAds(campaign,1);
						}
					},
					error: function() {alert('ERROR: AJAX - bmiAddAd');}});
}

function bmiUpdateField(fiedid) {

	var campaign = jQuery('#bmi-campaign-id').val();
	var func;
	var id;
	var value = jQuery('#'+fiedid).val();
	
	if (fiedid.substring(0,8).toLowerCase()=="bmi-img-") {
		
		func = "update_" + fiedid.substring(8,fiedid.indexOf("_"));
		id = fiedid.substring(fiedid.indexOf("_")+1);
		
		// validate pace for number
		if (func == 'update_pace')
			if (!bmi_is_int(value) || value>100) {
				// note pace also must always total 100% !!!!
				alert("Pace must be an integer of 100 or less.");
				jQuery('#'+fiedid).val(document.getElementById(fiedid).defaultValue);
				document.getElementById(fiedid).focus();
				return false;
			}
	
	} else if ( fiedid.substring(0,9).toLowerCase()=="bmi-head-") {
		
		func = "update_" + fiedid.substring(9);
		id = campaign;
		
	} else {
		alert("An error occured. bmiUpdateField "+fiedid);
	}
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: func, id: id, value: value}, //	will go to the 'all update functions' section
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							jQuery('#'+fiedid).val(document.getElementById(fiedid).defaultValue);
							document.getElementById(fiedid).focus();
						} else {
						
						}
					},
					error: function() {alert('ERROR: AJAX - bmiUpdateField');}});

}

function bmiDateUpdate(obj) {

	//alert(obj.value);
	//alert(obj.id);
	
	var id = jQuery('#bmi-campaign-id').val(); // id will be campaign if it's a new date
	var func;
	var value = obj.value;
	
	// validate date value
	if(!isDate(value,'MM/dd/yyyy')) {
		alert('This is not a recognised date. The date must be entered in \'MM/DD/YYYY\' format.');
		obj.value=obj.defaultValue;
		obj.focus();
		return;
	}
	
	var date=getDateFromFormat(value,'MM/dd/yyyy');
	
	if (obj.id == "datepicker_snew") {
		func = 'new_date_s';
		
		// if the corresponding date field is not empty, compare to ensure the date is not greater than the end.
		if (jQuery('#datepicker_enew').val()) {
			
			if ( date > getDateFromFormat(jQuery('#datepicker_enew').val(),'MM/dd/yyyy')) {
				alert('The date cannot be greater than the end date.');
				obj.value=obj.defaultValue;
				obj.focus();
				return;
			}
			
		}
	} else if (obj.id == "datepicker_enew") {
		func = 'new_date_e';
		
		// if the corresponding date field is not empty, compare to ensure the date is not greater than the end.
		if (jQuery('#datepicker_snew').val()) {
			
			if ( date < getDateFromFormat(jQuery('#datepicker_snew').val(),'MM/dd/yyyy')) {
				alert('The date cannot be less than the start date.');
				obj.value=obj.defaultValue;
				obj.focus();
				return;
			}
		}
	}  else if (obj.id.substring(0,12) == "datepicker_s") {
		id = obj.id.substring(12);
		func = 'update_date_s';
		
		// if the corresponding date field is not empty, compare to ensure the date is not greater than the end.
		if (jQuery('#datepicker_e'+id).val()) {
			
			if ( date > getDateFromFormat(jQuery('#datepicker_e'+id).val(),'MM/dd/yyyy')) {
				alert('The date cannot be greater than the end date.');
				obj.value=obj.defaultValue;
				obj.focus();
				return;
			}
			
		}
	} else if (obj.id.substring(0,12) == "datepicker_e") {
		id = obj.id.substring(12);
		func = 'update_date_e';
		
		// if the corresponding date field is not empty, compare to ensure the date is not greater than the end.
		if (jQuery('#datepicker_s'+id).val()) {
			
			if ( date < getDateFromFormat(jQuery('#datepicker_s'+id).val(),'MM/dd/yyyy')) {
				alert('The date cannot be less than the start date.');
				obj.value=obj.defaultValue;
				obj.focus();
				return;
			}
		}
	} else {
		alert("An error occured. bmiDateUpdate bad id = "+obj.id);
	}
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: func, id: id, value: value}, //	will go to the 'all update functions' or 'new_date_' section
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							obj.value=obj.defaultValue;
							obj.focus();
						} else {
							if (func.substring(0,3) == "new") {
								bmiRefreshSchedule(id);	// id will be campaign if it's a new date
							}
						}
					},
					error: function() {alert('ERROR: AJAX - bmiDateUpdate');}});

}

function bmiDeleteUpdate(obj) {

	if(!confirm('Are you sure you want to delete this schedule?.')) {
		return;
	} 
	
	var id = jQuery(obj).closest("tr").attr("id").substring(5);
	
	//alert(id);
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "delete_schedule", id: id},
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
						} else {
							bmiRefreshSchedule(jQuery('#bmi-campaign-id').val());
						}
					},
					error: function() {alert('ERROR: AJAX - bmiDeleteUpdate');}});
	
}

function bmiContClick() {

	var checked = jQuery('#bmi-cont').is(':checked');
	var campaign = jQuery('#bmi-campaign-id').val();
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "click_cont", campaign: campaign, checked: checked},
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							jQuery('#bmi-cont').attr('checked',!checked);	// undo check on error
						} else {
							bmiDisAbleSched();
						}
					},
					error: function() {alert('ERROR: AJAX - bmiContClick');}});


}

function bmiDisAbleSched() {

	checked = jQuery('#bmi-cont').is(':checked');
	
	if (checked)
		jQuery('#bmi_date_list').addClass('bmi-disable-sched');
	else
		jQuery('#bmi_date_list').removeClass('bmi-disable-sched');
	
	jQuery("#bmi_date_list :input").prop('disabled', checked);
	

}


function bmiTurnOnOff() {
	
	var checked = jQuery('#bmi-on-switch :input').is(':checked');
	var campaign = jQuery('#bmi-campaign-id').val();
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "turn_off_on", campaign: campaign, checked: checked},
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							jQuery('#bmi-on-switch :input').attr('checked',!checked);	// undo check on error
						} else {
							
							if (checked)
								jQuery('#bmi-on-switch-label').html("Turn Off");
							else
								jQuery('#bmi-on-switch-label').html("Turn On");
						}
					},
					error: function() {alert('ERROR: AJAX - bmiTurnOnOff');}});
	
}

function bmiSelectAdType(obj) {
	
	var id = jQuery(obj).parent().attr('id').substring(12); //bmi-ad-type-
	var value = obj.value;
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "select_type", id: id, value: value},
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							obj.value=obj.defaultValue;	// undo check on error
						} else {
							
						}
					},
					error: function() {alert('ERROR: AJAX - bmiSelectAdType');}});
	
	
}

function add_site(site) {

	if (site) {
		
		jQuery.ajax({ 	type: 'POST',
						url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
						data: { func: 'add_site', site: site },
						success: function(data){
							if (data.substring(0,5).toLowerCase()=="alert") {
								eval(data);
							} else {
								alert(data);
								jQuery("#bms-site-list").html(data);
								ssmSelectSite(jQuery("tr.ssmSite:contains('"+site+"'):first").attr('id'));
							}
						},
						error: function() {alert('ERROR: AJAX - add_customer');}});
	}
	
}

function frameSize() {
	
	if (jQuery(window).height()-20 > 705)
		jQuery('#bmi-main').css('height',705);
	else
		jQuery('#bmi-main').css('height',jQuery(window).height()-20);
}

function bmi_is_int(value){
  if((parseFloat(value) == parseInt(value)) && !isNaN(value)){
      return true;
  } else {
      return false;
  }
}

function bmiClose() {
	
	var campaign = jQuery('#bmi-campaign-id').val();
	
	if(jQuery('#bmi-on-switch :input').is(':checked')) {
	
		jQuery.ajax({ 	type: 'POST',
						url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
						data: { func: "validate", campaign: campaign},
						success: function(data){
							if (data.substring(0,5).toLowerCase()=="alert") {
								eval(data);
								return;	// cancel close;
							} else {
								jQuery('#BMS_overlay').hide();
								jQuery('#bmi-main').hide();
								select_customer(jQuery('#bms_customer').val());
							}
						},
						error: function() {alert('ERROR: AJAX - bmiTurnOnOff');}});
						
	} else {

		jQuery('#BMS_overlay').hide();
		jQuery('#bmi-main').hide();
		select_customer(jQuery('#bms_customer').val());
	}
}

function bmiDeleteCampaign(obj) {
	
	if(!confirm('Are you sure you want to delete this campaign?\nThis is not reversible.')) {
		return;
	}
	
	var campaign = jQuery(obj).attr('bmiDelCamp');
	var customer = jQuery(obj).attr('bmiDelCust');
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "delete_campaign", campaign: campaign},
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							return;
						} else {
							select_customer( customer ); // refresh Campaigns list
						}
					},
					error: function() {alert('ERROR: AJAX - bmiTurnOnOff');}});
	
}

function  bmiDeleteCustomer() {

	var customer = jQuery('#bms_customer').val();
	
	if(!confirm('Are you sure you want to delete this customer?\nThis is not reversible, and remove all their campaigns.')) {
		return;
	}
	
	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "delete_customer", customer: customer},
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							return;
						} else {
							refreshCustomerList( customer ); // refresh Customer list (which refreshes the Campaigns)
						}
					},
					error: function() {alert('ERROR: AJAX - bmiTurnOnOff');}});

}

function refreshCustomerList() {

	jQuery.ajax({ 	type: 'POST',
					url: "../wp-content/plugins/webcomFunctionality/bmi-ajax.php",
					data: { func: "refresh_customers" },
					success: function(data){
						if (data.substring(0,5).toLowerCase()=="alert") {
							eval(data);
							return;
						} else {
							jQuery("#bms_customer").html(data);
							select_customer(jQuery("#bms_customer").val()); // refresh Campaigns list
						}
					},
					error: function() {alert('ERROR: AJAX - bmiTurnOnOff');}});
}
















/* *****************************************************************************************


	Date functions


******************************************************************************************* */




function isDate(val,format) {
	var date=getDateFromFormat(val,format);
	if (date==0) { return false; }
	return true;
}

// -------------------------------------------------------------------
// compareDates(date1,date1format,date2,date2format)
//   Compare two date strings to see which is greater.
//   Returns:
//   1 if date1 is greater than date2
//   0 if date2 is greater than date1 of if they are the same
//  -1 if either of the dates is in an invalid format
// -------------------------------------------------------------------
function compareDates(date1,dateformat1,date2,dateformat2) {
	var d1=getDateFromFormat(date1,dateformat1);
	var d2=getDateFromFormat(date2,dateformat2);
	if (d1==0 || d2==0) {
		return -1;
		}
	else if (d1 > d2) {
		return 1;
	}
	return 0;
}

// ------------------------------------------------------------------
// formatDate (date_object, format)
// Returns a date in the output format specified.
// The format string uses the same abbreviations as in getDateFromFormat()
// ------------------------------------------------------------------
function formatDate(date,format) {
	format=format+"";
	var result="";
	var i_format=0;
	var c="";
	var token="";
	var y=date.getYear()+"";
	var M=date.getMonth()+1;
	var d=date.getDate();
	var E=date.getDay();
	var H=date.getHours();
	var m=date.getMinutes();
	var s=date.getSeconds();
	var yyyy,yy,MMM,MM,dd,hh,h,mm,ss,ampm,HH,H,KK,K,kk,k;
	// Convert real date parts into formatted versions
	var value=new Object();
	if (y.length < 4) {y=""+(y-0+1900);}
	value["y"]=""+y;
	value["yyyy"]=y;
	value["yy"]=y.substring(2,4);
	value["M"]=M;
	value["MM"]=LZ(M);
	value["MMM"]=MONTH_NAMES[M-1];
	value["NNN"]=MONTH_NAMES[M+11];
	value["d"]=d;
	value["dd"]=LZ(d);
	value["E"]=DAY_NAMES[E+7];
	value["EE"]=DAY_NAMES[E];
	value["H"]=H;
	value["HH"]=LZ(H);
	if (H==0){value["h"]=12;}
	else if (H>12){value["h"]=H-12;}
	else {value["h"]=H;}
	value["hh"]=LZ(value["h"]);
	if (H>11){value["K"]=H-12;} else {value["K"]=H;}
	value["k"]=H+1;
	value["KK"]=LZ(value["K"]);
	value["kk"]=LZ(value["k"]);
	if (H > 11) { value["a"]="PM"; }
	else { value["a"]="AM"; }
	value["m"]=m;
	value["mm"]=LZ(m);
	value["s"]=s;
	value["ss"]=LZ(s);
	while (i_format < format.length) {
		c=format.charAt(i_format);
		token="";
		while ((format.charAt(i_format)==c) && (i_format < format.length)) {
			token += format.charAt(i_format++);
		}
		if (value[token] != null) { result=result + value[token]; }
		else { result=result + token; }
	}
	return result;
}
	
// ------------------------------------------------------------------
// Utility functions for parsing in getDateFromFormat()
// ------------------------------------------------------------------
function _isInteger(val) {
	var digits="1234567890";
	for (var i=0; i < val.length; i++) {
		if (digits.indexOf(val.charAt(i))==-1) { return false; }
		}
	return true;
}

function _getInt(str,i,minlength,maxlength) {
	for (var x=maxlength; x>=minlength; x--) {
		var token=str.substring(i,i+x);
		if (token.length < minlength) { return null; }
		if (_isInteger(token)) { return token; }
	}
	return null;
}
	
// ------------------------------------------------------------------
// getDateFromFormat( date_string , format_string )
//
// This function takes a date string and a format string. It matches
// If the date string matches the format string, it returns the 
// getTime() of the date. If it does not match, it returns 0.
// ------------------------------------------------------------------
function getDateFromFormat(val,format) {
	val=val+"";
	format=format+"";
	var i_val=0;
	var i_format=0;
	var c="";
	var token="";
	var token2="";
	var x,y;
	var now=new Date();
	var year=now.getYear();
	var month=now.getMonth()+1;
	var date=1;
	var hh=now.getHours();
	var mm=now.getMinutes();
	var ss=now.getSeconds();
	var ampm="";
	
	while (i_format < format.length) {
		// Get next token from format string
		c=format.charAt(i_format);
		token="";
		while ((format.charAt(i_format)==c) && (i_format < format.length)) {
			token += format.charAt(i_format++);
		}
		// Extract contents of value based on format token
		if (token=="yyyy" || token=="yy" || token=="y") {
			if (token=="yyyy") { x=4;y=4; }
			if (token=="yy")   { x=2;y=2; }
			if (token=="y")    { x=2;y=4; }
			year=_getInt(val,i_val,x,y);
			if (year==null) { return 0; }
			i_val += year.length;
			if (year.length==2) {
				if (year > 70) { year=1900+(year-0); }
				else { year=2000+(year-0); }
			}
		}
		else if (token=="MMM"||token=="NNN"){
			month=0;
			for (var i=0; i<MONTH_NAMES.length; i++) {
				var month_name=MONTH_NAMES[i];
				if (val.substring(i_val,i_val+month_name.length).toLowerCase()==month_name.toLowerCase()) {
					if (token=="MMM"||(token=="NNN"&&i>11)) {
						month=i+1;
						if (month>12) { month -= 12; }
						i_val += month_name.length;
						break;
					}
				}
			}
			if ((month < 1)||(month>12)){return 0;}
		}
		else if (token=="EE"||token=="E"){
			for (var i=0; i<DAY_NAMES.length; i++) {
				var day_name=DAY_NAMES[i];
				if (val.substring(i_val,i_val+day_name.length).toLowerCase()==day_name.toLowerCase()) {
					i_val += day_name.length;
					break;
				}
			}
		}
		else if (token=="MM"||token=="M") {
			month=_getInt(val,i_val,token.length,2);
			if(month==null||(month<1)||(month>12)){return 0;}
			i_val+=month.length;}
		else if (token=="dd"||token=="d") {
			date=_getInt(val,i_val,token.length,2);
			if(date==null||(date<1)||(date>31)){return 0;}
			i_val+=date.length;}
		else if (token=="hh"||token=="h") {
			hh=_getInt(val,i_val,token.length,2);
			if(hh==null||(hh<1)||(hh>12)){return 0;}
			i_val+=hh.length;}
		else if (token=="HH"||token=="H") {
			hh=_getInt(val,i_val,token.length,2);
			if(hh==null||(hh<0)||(hh>23)){return 0;}
			i_val+=hh.length;}
		else if (token=="KK"||token=="K") {
			hh=_getInt(val,i_val,token.length,2);
			if(hh==null||(hh<0)||(hh>11)){return 0;}
			i_val+=hh.length;}
		else if (token=="kk"||token=="k") {
			hh=_getInt(val,i_val,token.length,2);
			if(hh==null||(hh<1)||(hh>24)){return 0;}
			i_val+=hh.length;hh--;}
		else if (token=="mm"||token=="m") {
			mm=_getInt(val,i_val,token.length,2);
			if(mm==null||(mm<0)||(mm>59)){return 0;}
			i_val+=mm.length;}
		else if (token=="ss"||token=="s") {
			ss=_getInt(val,i_val,token.length,2);
			if(ss==null||(ss<0)||(ss>59)){return 0;}
			i_val+=ss.length;}
		else if (token=="a") {
			if (val.substring(i_val,i_val+2).toLowerCase()=="am") {ampm="AM";}
			else if (val.substring(i_val,i_val+2).toLowerCase()=="pm") {ampm="PM";}
			else {return 0;}
			i_val+=2;}
		else {
			if (val.substring(i_val,i_val+token.length)!=token) {return 0;}
			else {i_val+=token.length;}
		}
	}
	// If there are any trailing characters left in the value, it doesn't match
	if (i_val != val.length) { return 0; }
	// Is date valid for month?
	if (month==2) {
		// Check for leap year
		if ( ( (year%4==0)&&(year%100 != 0) ) || (year%400==0) ) { // leap year
			if (date > 29){ return 0; }
		}
		else { if (date > 28) { return 0; } }
	}
	if ((month==4)||(month==6)||(month==9)||(month==11)) {
		if (date > 30) { return 0; }
	}
	// Correct hours value
	if (hh<12 && ampm=="PM") { hh=hh-0+12; }
	else if (hh>11 && ampm=="AM") { hh-=12; }
	var newdate=new Date(year,month-1,date,hh,mm,ss);
	return newdate.getTime();
}

// ------------------------------------------------------------------
// parseDate( date_string [, prefer_euro_format] )
//
// This function takes a date string and tries to match it to a
// number of possible date formats to get the value. It will try to
// match against the following international formats, in this order:
// y-M-d   MMM d, y   MMM d,y   y-MMM-d   d-MMM-y  MMM d
// M/d/y   M-d-y      M.d.y     MMM-d     M/d      M-d
// d/M/y   d-M-y      d.M.y     d-MMM     d/M      d-M
// A second argument may be passed to instruct the method to search
// for formats like d/M/y (european format) before M/d/y (American).
// Returns a Date object or null if no patterns match.
// ------------------------------------------------------------------
function parseDate(val) {
	var preferEuro=(arguments.length==2)?arguments[1]:false;
	generalFormats=new Array('y-M-d','MMM d, y','MMM d,y','y-MMM-d','d-MMM-y','MMM d');
	monthFirst=new Array('M/d/y','M-d-y','M.d.y','MMM-d','M/d','M-d');
	dateFirst =new Array('d/M/y','d-M-y','d.M.y','d-MMM','d/M','d-M');
	var checkList=new Array('generalFormats',preferEuro?'dateFirst':'monthFirst',preferEuro?'monthFirst':'dateFirst');
	var d=null;
	for (var i=0; i<checkList.length; i++) {
		var l=window[checkList[i]];
		for (var j=0; j<l.length; j++) {
			d=getDateFromFormat(val,l[j]);
			if (d!=0) { return new Date(d); }
		}
	}
	return null;
}