<?php
/*
Plugin Name: Webcom Functionality Plugin
Description: All of the important functionality of your site.
Version: 0.5.0
License: No!
Author: Steve Young, UncommonSolutions
Author: URI: http://www.UncommonSolutions.com

*******************************

2011-12-16 - Version 0.1 - Created basic framework.
2011-12-27 - Version 0.2 - Added test var, function for picking picture
2012-01-25 - Version 0.2.1 - Adding frame for admin menu
2012-04-16 - Version 0.5.0 - All of the main interface pages have been created.

*******************************

User by entring text into post: [ad_box size="medium" test=2]
or
in php with: <?php echo do_shortcode('[ad_box size="medium" test=2]'); ?>

*/
/*
ini_set('display_errors', 1); 
ini_set('log_errors', 1); 
ini_set('error_log', dirname(__FILE__) . '/error_log.txt'); 
error_reporting(E_ALL); // */

function ad_box_rotator_handler( $atts ) {
// $atts    ::= array of attributes
// $content ::= text within enclosing form of shortcode element
// $code    ::= the shortcode found, when == callback name
// [myshortcode foo="bar" baz="bing"]

	extract( shortcode_atts( array(
		'type' => 'Medium',
		'section' => 'Default',
		'id' => 'bmsBan1',
		'test' => 1
		//'attr_2' => 'attribute 2 default'
	), $atts ) );
	
	//$site = get_site_url();
	
	$site = get_bloginfo( 'name' );
	
	return "<script type=\"text/javascript\">jQuery(document).ready(function() { bmsSelectImage('".$type."','".$section."','".$site."','".plugins_url()."','".$id."');});</script>\n";
	
	if ($size=='medium') {
		
		$out = '<div id="bmsBan1" style="padding:0px 0px 5px 0px;">';
		
		$out = '<span style="margin:0px auto 2px auto; border-style:solid; border-width:1px; text-align:center; display:block; height:60px; width:468px; position:relative; top:0px; left:0px;">';
		
		$pict = get_picture_med($test);
		
		$out .= $pict . '</span>';
		
		return $out;
		
	} else {
		return "<br>AD_BOX UNSUPPORTED SIZE<br>";
	}

}


wp_enqueue_script( 'bms_js', plugins_url('webcomFunctionality/bms.js'));

function get_picture_med($img) {

	if ( $img == 1 )
		return "<img src=\"http://webdev.uncommonsolutions.net/webcomwp/wp-content/themes/theme1108/images/example/coolermaster.gif\" />";
	else
		return "<img src=\"http://webdev.uncommonsolutions.net/webcomwp/wp-content/themes/theme1108/images/example/tactical.gif\" />";
}

add_shortcode( 'ad_box', 'ad_box_rotator_handler' );

wp_enqueue_style('bmiMain', plugin_dir_url(__FILE__).'css/bms.css');
wp_enqueue_style('bmiSlide', plugin_dir_url(__FILE__).'slide.css');

if(is_admin()) {
	require_once 'main.php';
	require_once 'bms_menu.php';
	require_once 'config.php';
	
	// register admin menu action
	add_action('admin_menu', 'webcom_bms_admin_menu');
 }

/* Main Page for WebCom AdRotator admin */
function webcom_adrotator_admin()
{
       ?>
       <div class="wrap">
            <?php screen_icon(); ?>
            <h2>Webcom AdRotator Admin</h2>
            <p>On this page, you will configure all the aspects of this plugin.</p>
            <form action="options.php" method="post" id="copyright-notices-conf-form">
				 <?php settings_fields( 'webcom_options' ); ?>
				 <?php do_settings_sections('webcom-adrotator'); ?>
                 <!--<h3><label for="copyright_text">Insert the value of the option:</label></h3>
                 <p><input type="text" name="copyright_text" id="copyright_text" value="<?//php echo esc_attr( get_option('adrotator_text') )?> " /></p>
                 <p class="submit"><input type="submit" name="submit" value="Update options &raquo;" /></p>-->
				 <input name="Submit" type="submit" value="<?php esc_attr_e('Save Changes'); ?>" />
            </form>
       </div>
<?php }

/* *****************************************************

	My Plugin				=	'WebCom AdRotator'
	my-unique-identifier	=	'webcom-adrotator'
	$option_group = 'webcom_options';

/* add menu item  'webcom_adrotator_admin_page' is the function running the menu, which follows */
add_action('admin_menu', 'webcom_adrotator_admin_page');
function webcom_adrotator_admin_page() {
	//add_submenu_page( 'plugins.php','WebCom AdRotator Admin','WebCom AdRotator', 'manage_options', 'webcom-adrotator','webcom_adrotator_admin');
	/* add menu line to page. 
	add_options_page( $page_title, $menu_title, $capability (permission level), $menu_slug (unique to menu)', $function); */
	add_options_page( 'WebCom AdRotator Admin','WebCom AdRotator', 'manage_options', 'webcom-adrotator','webcom_adrotator_admin'); // webcom_adrotator_admin is the function running the page
}


// add the plugin settings and such
add_action('admin_init', 'plugin_admin_init');
function plugin_admin_init(){
	// register the settings
	/* register_setting( $option_group, $option_name, $sanitize_callback */
	register_setting( 'webcom_options', 'my_option', 'plugin_options_validate' ); // points to function plugin_options_validate()
	
	/* add_settings_section( $id,
							 $title,
							 $callback, // (required) Function that fills the section with the desired content. The function should echo its output.
							 $page) 	//(required) The menu page on which to display this section
							  */
	add_settings_section('webcom_main', 'Database Settings', 'webcom_settings_main_section_text', 'webcom-adrotator');
	
	/* add_settings_field( $id,			// (required) String for use in the 'id' attribute of tags.
						   $title,		// (required) Title of the field.
						   $callback,	// (required) Function that fills the field with the desired inputs as part of the larger form. Passed a single argument, the $args array. Name and id of the input should match the $id given to this function. The function should echo its output.
						   $page,		// (required) The menu page on which to display this field. Should match $menu_slug from Function Reference/add theme 
						   $section,	// (optional) The section of the settings page in which to show the box (default or a section you added with add_settings_section, look at the page in the source to see what the existing ones are.)
						   $args )		// (optional) Additional arguments that are passed to the $callback function. The 'label_for' key can be used to give the field a label different from $title. */
	//add_settings_field('example_option', 'Plugin Example Option', 'example_option_func', 'webcom-adrotator', 'webcom_main');
	add_settings_field('server', 'Database Server', 'server_option_func', 'webcom-adrotator', 'webcom_main');
	add_settings_field('db-user', 'DB User', 'db_user_option_func', 'webcom-adrotator', 'webcom_main');
	add_settings_field('db-pass', 'DB Password', 'db_pass_option_func', 'webcom-adrotator', 'webcom_main');
	add_settings_field('database', 'Database', 'database_option_func', 'webcom-adrotator', 'webcom_main');
	//$myconnect=mysql_connect("localhost","rmcumcor_email","Db4Jesus!");
    //$mydb=mysql_select_db("rmcumcor_email",$myconnect);
}

function webcom_settings_main_section_text() {
echo '<p>Configure the main datbase connection here.</p>';
}

/* Setting field callback for Plugin Example Option' */
/* function example_option_func() {
$options = get_option('my_option');
echo "<input id='example_option' name='my_option[example_option]' size='40' type='text' value='{$options['example_option']}' />";
} */

function server_option_func() {
$options = get_option('my_option');
echo "<input id='server' name='my_option[server]' size='40' type='text' value='{$options['server']}' />";
}

function db_user_option_func() {
$options = get_option('my_option');
echo "<input id='db-user' name='my_option[db-user]' size='40' type='text' value='{$options['db-user']}' />";
}

function db_pass_option_func() {
$options = get_option('my_option');
echo "<input id='db-pass' name='my_option[db-pass]' size='40' type='password' value='{$options['db-pass']}' />";
}

function database_option_func() {
$options = get_option('my_option');
echo "<input id='database' name='my_option[database]' size='40' type='text' value='{$options['database']}' />";
}

// validate our options
function plugin_options_validate($input) {
	$newinput = $input;
	//$newinput['example_option'] = trim($input['example_option']);
	//if(!preg_match('/^[a-z0-9]$/i', $newinput['example_option'])) {
	//	$newinput['example_option'] = '';
	//}
	return $newinput;
}

/* 1. Do a new add_settings_field call.
2. Make the function to display that particular input.
3. Add code to validate it when it comes back to us from the user.

To add a new section, you:
1. Do a new add_settings_section call.
2. Make the function to display any descriptive text about it.
3. Add settings fields to it as above.

If you look through the core code, youll find references like do_settings_sections(general) or do_settings_sections(writing), and so on. These you can add on to like any others, getting your settings on the main WordPress settings pages instead of having to make your own.

Just do this:
1. Make an add_settings_section call. The last argument should be general, or wherever you want to add your new section.
2. Add fields to your new section, using add_settings_field.
3. You still need to make your own settings whitelisted. To do this, youll need to make a call to register_setting. The first argument should be the same as the page name, like general, or wherever youre putting your settings. This will let that page recognize and allow your settings to come through.

All the callbacks will basically be the same for this method. Youre just skipping a step of making your own page. Easy.

And there you go. More reading: http://codex.wordpress.org/Settings_API

*/
/*
function save_adrotator()
{
     if( check_admin_referer('adrotator_admin_options-update') )
     {
          if( update_option( 'copyright_notices_test', wp_filter_kses( stripslashes( $_POST['copyright_text'] ) ) ) ) {
          
     wp_redirect( add_query_arg('updated', '1') );
	     }
     }
}
add_action( 'save_adrotator', 'save_adrotator' ); */
?>